#!/usr/bin/env bash

set -e

rm -f ./*.tar.gz
rm -f ./*.zip

GOOS=linux GOARCH=amd64 go build -o epochcli
tar czvf epochcli-linux-amd64.tar.gz epochcli
rm ./epochcli

GOOS=linux GOARCH=arm64 go build -o epochcli
tar czvf epochcli-linux-arm64.tar.gz epochcli
rm ./epochcli

GOOS=windows GOARCH=amd64 go build -o epochcli.exe
zip -j epochcli-windows-amd64.zip epochcli.exe
rm ./epochcli.exe

GOOS=windows GOARCH=arm64 go build -o epochcli.exe
zip -j epochcli-windows-arm64.zip epochcli.exe
rm ./epochcli.exe
